com.h3c.util.pkt

## Enum ProtocolId

- java.lang.Object
- - java.lang.Enum<ProtocolId>
  - - com.h3c.util.pkt.ProtocolId

- All Implemented Interfaces:
    Serializable, Comparable<ProtocolId>

      public enum ProtocolId
      extends Enum<ProtocolId>

  A network protocol key used to identify protocol classes. This is used to identify which encoder to use for each protocol.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARP` Address Resolution Protocol (ARP).
    `BDDP` Broadcast Domain Discovery Protocol (BDDP).
    `DHCP` Dynamic Host Configuration Protocol version 4 (DHCP).
    `DHCPV6` Dynamic Host Configuration Protocol version 6 (DHCPv6).
    `DNS` Domain Name System Protocol version 4 (DNS).
    `ETHERNET` Ethernet protocol (Ethernet2, Ethernet 802.3, etc.).
    `ICMP` Internet Control Message Protocol version 4 (ICMPv4).
    `ICMPV6` Internet Control Message Protocol version 6 (ICMPv6).
    `IP` Internet Protocol version 4 (IPv4).
    `IPV6` Internet Protocol version 6 (IPv6).
    `LLDP` Link Layer Discovery Protocol (LLDP).
    `MPLS` MPLS protocol.
    `NONE` No protocol (indicates that no protocol follows - i.e.
    `PPP_ETHERNET` PPP-over-Ethernet protocol.
    `SCTP` Stream Control Transmission Protocol (SCTP).
    `TCP` Transmission Control Protocol (TCP).
    `UDP` User Datagram Protocol (UDP).
    `UNKNOWN` Unknown protocol.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProtocolId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProtocolId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ProtocolId NONE

      No protocol (indicates that no protocol follows - i.e. no payload)

    - #### UNKNOWN

          public static final ProtocolId UNKNOWN

      Unknown protocol.

    - #### ETHERNET

          public static final ProtocolId ETHERNET

      Ethernet protocol (Ethernet2, Ethernet 802.3, etc.).

    - #### PPP_ETHERNET

          public static final ProtocolId PPP_ETHERNET

      PPP-over-Ethernet protocol.

    - #### MPLS

          public static final ProtocolId MPLS

      MPLS protocol.

    - #### ARP

          public static final ProtocolId ARP

      Address Resolution Protocol (ARP).

    - #### IP

          public static final ProtocolId IP

      Internet Protocol version 4 (IPv4).

    - #### IPV6

          public static final ProtocolId IPV6

      Internet Protocol version 6 (IPv6).

    - #### BDDP

          public static final ProtocolId BDDP

      Broadcast Domain Discovery Protocol (BDDP).

    - #### LLDP

          public static final ProtocolId LLDP

      Link Layer Discovery Protocol (LLDP).

    - #### ICMP

          public static final ProtocolId ICMP

      Internet Control Message Protocol version 4 (ICMPv4).

    - #### ICMPV6

          public static final ProtocolId ICMPV6

      Internet Control Message Protocol version 6 (ICMPv6).

    - #### TCP

          public static final ProtocolId TCP

      Transmission Control Protocol (TCP).

    - #### UDP

          public static final ProtocolId UDP

      User Datagram Protocol (UDP).

    - #### SCTP

          public static final ProtocolId SCTP

      Stream Control Transmission Protocol (SCTP).

    - #### DHCP

          public static final ProtocolId DHCP

      Dynamic Host Configuration Protocol version 4 (DHCP).

    - #### DHCPV6

          public static final ProtocolId DHCPV6

      Dynamic Host Configuration Protocol version 6 (DHCPv6).

    - #### DNS

          public static final ProtocolId DNS

      Domain Name System Protocol version 4 (DNS).

  - ### Method Detail

    - #### values

          public static ProtocolId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProtocolId c : ProtocolId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProtocolId valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.